# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.634   -> 1.635  
#	drivers/usb/core/inode.c	1.34    -> 1.35   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/07	greg@kroah.com	1.635
# fix i_nlink for root inode in usbfs
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/inode.c b/drivers/usb/core/inode.c
--- a/drivers/usb/core/inode.c	Sun Jul  7 12:35:19 2002
+++ b/drivers/usb/core/inode.c	Sun Jul  7 12:35:19 2002
@@ -162,6 +162,9 @@
 		case S_IFDIR:
 			inode->i_op = &usbfs_dir_inode_operations;
 			inode->i_fop = &simple_dir_operations;
+
+			/* directory inodes start off with i_nlink == 2 (for "." entry) */
+			inode->i_nlink++;
 			break;
 		}
 	}
